Bug 164083 - multi-session - ERROR: Could not find input file "STDIN".
multi-session - ERROR: Could not find input file "STDIN".
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 10:08 EDT by Michael Schwendt
Modified: 2008-05-06 20:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
k3b debug log (1.49 KB, text/plain)
2005-07-24 10:08 EDT, Michael Schwendt
no flags Details

  None (edit)
Description Michael Schwendt 2005-07-24 10:08:36 EDT
$ rpm -q k3b cdrdao
k3b-0.12.2-1
cdrdao-1.2.0-1

Starting a multi-session write gives a fatal error which could be an
incompatibility between k3b and cdrdao (so this could be filed also for "cdrdao").

k3b debug log attached.
Comment 1 Michael Schwendt 2005-07-24 10:08:36 EDT
Created attachment 117106 [details]
k3b debug log
Comment 2 Harald Hoyer 2005-09-12 04:02:15 EDT
cdrdao can do multisession? hmm... thought dao means disk at once...
Comment 3 Michael Schwendt 2005-09-12 07:32:22 EDT
Yes, DAO means disk-at-once and generally is used to burn a disc without turning
of the laser, but nevertheless it's the cdrdao tool which provides the
"multisession" feature within k3b.
Comment 4 Harald Hoyer 2006-05-31 09:31:29 EDT
still an issue?
Comment 5 Michael Schwendt 2006-06-01 09:09:09 EDT
Cannot reproduce it in fc5 and don't know what to do with this ticket.

k3b in fc5 runs "cdrecord -multi" despite cdrecord not being marked
as providing the "multisession" feature to k3b. cdrdao is still marked
as "multisession" in k3b's config here.
Comment 6 Harald Hoyer 2006-06-14 08:19:04 EDT
------- Additional Comments From bugs.michael@gmx.net  2006-06-12 05:02 EST -------
Continueing a multisession disc in DAO mode uses cdrdao and gives
this failure with FC5:

  i Searching previous session
  i Using cdrdao 1.2.1 - Copyright ...
  i Starting DAO writing at 10x speed...
  x cdrdao returned an unknown error code (code 1).
  x Operation not permitted
  x Please include the debugging output in your problem report.

System
-----------------------
K3b Version: 0.12.14

KDE Version: 3.5.2-0.2.fc5 Red Hat
QT Version:  3.3.5
Kernel:      2.6.16-1.2122_FC5
Devices
-----------------------
AOPEN CD-RW CRW1232PRO 1.30 (/dev/hdd, ) at  [CD-R; CD-RW; CD-ROM] [Error] [SAO;
TAO; RAW; SAO/R96P; SAO/R96R; RAW/R96R]

K3b
-----------------------
Size of filesystem calculated: 1043

Used versions
-----------------------
cdrdao: 1.2.1

cdrdao
-----------------------
Cdrdao version 1.2.1 - (C) Andreas Mueller <andreas@daneb.de>
  SCSI interface library - (C) Joerg Schilling
  Paranoia DAE library - (C) Monty
Check http://cdrdao.sourceforge.net/drives.html#dt for current driver tables.
Using libscg version 'schily-0.8'
/dev/hdd: AOPEN CD-RW CRW1232PRO Rev: 1.30
Using driver: Generic SCSI-3/MMC - Version 2.0 (options 0x0010)
/usr/bin/cdrdao: Operation not permitted. Cannot send SCSI cmd via ioctl

cdrdao command:
-----------------------
/usr/bin/cdrdao write --device /dev/hdd --driver generic-mmc:0x00000010 --speed
10 --multi -n -v 2 --force --eject --remote 18 /tmp/kde-misc5/k3bn03i3atoc 

mkisofs
-----------------------
Rock Ridge signatures found
Rock Ridge signatures found
1043
INFO: UTF-8 character encoding detected by locale settings.
 Assuming UTF-8 encoded filenames on source filesystem,
 use -input-charset to override.

mkisofs command:
-----------------------
/usr/bin/mkisofs -cdrecord-params 0,178142 -prev-session /dev/hdd -gui
-graft-points -volid FTPBAK0605 -volset  -appid K3B THE CD KREATOR (C) 1998-2005
SEBASTIAN TRUEG AND THE K3B TEAM -publisher  -preparer  -sysid LINUX
-volset-size 1 -volset-seqno 1 -sort /tmp/kde-misc5/k3bNSeiPa.tmp -rational-rock
-hide-list /tmp/kde-misc5/k3bF2NvAb.tmp -joliet -hide-joliet-list
/tmp/kde-misc5/k3bspXsbc.tmp -full-iso9660-filenames -iso-level 2 -path-list
/tmp/kde-misc5/k3bmjHkVb.tmp 

msinfo
-----------------------
0,177992

msinfo command:
-----------------------
/usr/bin/cdrecord dev=/dev/hdd -msinfo 
Comment 7 Harald Hoyer 2006-06-14 08:19:30 EDT
------- Additional Comments From bugs.michael@gmx.net  2006-06-12 05:24 EST -------
On the contrary, continueing a multisession disc in TAO mode uses
cdrecord, which works here currently. So there is the difference.


Comment 8 Bug Zapper 2008-04-03 12:15:55 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-06 20:13:01 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.